cayenne-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Kienenberger <mkien...@gmail.com>
Subject Re: Upgraded to JUnit 4
Date Sat, 29 Mar 2014 13:00:33 GMT
For what it's worth, I upgraded my cayenne project from junit 3.8.1 to
junit4 a couple of weeks ago.

After a couple of days, I decided that upgrading to TestNG made more
sense, as it supports everything that junit4 did plus a lot more.  The
latest versions of TestNG will also run junit tests -- all 1500 of my
tests are running under it.

A couple of other testing libraries that I have found to be extremely
helpful are Mockito and fest.   Mockito has greatly reduced the amount
of work I needed to write tests, and fest has made the assertions
human-readable.  No more wondering whether I switched expected with
actual.



On Sat, Mar 29, 2014 at 7:30 AM, Andrus Adamchik <andrus@objectstyle.org> wrote:
> Just committed JUnit upgrade to version 4.11 from the ancient 3.8.1.
>
> Was pleasantly surprised that it is fully backwards compatible, so we don't need to rewrite
all our existing tests to use annotations. I had to do some non-test file renaming though,
so that surefire-plugin does not attempt to run them as tests.
>
> So for now it is business as usual, but we have the ability to use all the new features
in JUnit 4, and eventually clean up our cross-DB test hacks.
>
> Andrus

Mime
View raw message